package org.rcisoft.bus.taskinfo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.bus.taskinfo.entity.TaskInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年5月15日 下午6:59:06.
 */
public interface TaskInfoService {

    /**
    * 保存 ?????
    * @param taskInfo
    * @return
    */
    CyPersistModel persist(TaskInfo taskInfo);

    /**
    * 删除 ?????
    * @param taskInfo
    * @return
    */
    CyPersistModel remove(TaskInfo taskInfo);

    /**
    * 逻辑删除 ?????
    * @param taskInfo
    * @return
    */
    CyPersistModel removeLogical(TaskInfo taskInfo);

    /**
    * 修改 ?????
    * @param taskInfo
    * @return
    */
    CyPersistModel merge(TaskInfo taskInfo);

    /**
    * 根据id查询 ?????
    * @param id
    * @return
    */
    TaskInfo findById(String id);

    /**
    * 分页查询 ?????
    * @param taskInfo
    * @return
    */
    IPage<TaskInfo> findAllByPagination(CyPageInfo<TaskInfo> paginationUtility,
              TaskInfo taskInfo);


    /**
    * 查询list ?????
    * @param taskInfo
    * @return
    */
    List<TaskInfo> findAll(TaskInfo taskInfo);


    /**
    * 导出?????
    * @return
    */
    List<TaskInfo> export(TaskInfo taskInfo);

}
